//
// C++ Implementation: messagebox
//
// Description:
//
//
// Author: Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "messagebox.h"
#include <QCheckBox>
#include <QGridLayout>

MessageBox::MessageBox(QString uname, QString hname, QWidget *parent)
        : QMessageBox(parent)
{
    checkBox=new QCheckBox(
        QString(tr("Save selection for %1")).arg(uname),this);
    ((QGridLayout*)layout())->addWidget(checkBox,1,1);
    setIcon(Question);
    setWindowModality(Qt::WindowModal);
    setText(QString(tr("Accept %1 from %2 ?")).arg(uname).arg(hname));
    setStandardButtons(Yes|No);
    setWindowTitle(QString("%1(%2)").arg(uname).arg(hname));
}


MessageBox::~MessageBox()
{
}

bool MessageBox::isChecked()
{
    return checkBox->isChecked();
}

