//
// C++ Interface: simplelocalsocket
//
// Description:
//
//
// Author: Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SIMPLELOCALSOCKET_H
#define SIMPLELOCALSOCKET_H

#include <QObject>

/**
	@author Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
*/
class QLocalSocket;
class ShareTray;
class SimpleLocalSocket : public QObject
{
    Q_OBJECT
public:
    SimpleLocalSocket(ShareTray* obj, QLocalSocket* soc,
                      QObject *parent = 0);
    ~SimpleLocalSocket();
private:
    QLocalSocket* socket;
    ShareTray* trayApp;
private slots:
    void slotReadFromSocket();
    void closeSocket();
};

#endif
